package com.sheep.gamegroup.model.entity;


import java.util.Locale;

/**
 * Created by realicing on 2018/11/2.
 * realicing@sina.com
 * app_id:	integer ($int64)
 * 评论应用id
 * app_name:	string
 * 应用名称
 * content:	string
 * 评论内容
 * like:	integer ($int64)
 * 点赞数
 * nickname:	string
 * 昵称
 * reply_content:	string
 * 回复内容
 * user_comment_id:	integer ($int64)
 * 评论id
 * user_id:	integer ($int64)
 * 用户id
 * <p>
 * description:用户评论信息
 */
public class UserCommentWithReply {
    private int app_id;

    private int user_comment_id;

    private int user_id;

    private String nickname;

    private String app_name;

    private int like;


    private String content;

    private String reply_content;

    public int getApp_id() {
        return app_id;
    }

    public void setApp_id(int app_id) {
        this.app_id = app_id;
    }

    public int getUser_comment_id() {
        return user_comment_id;
    }

    public void setUser_comment_id(int user_comment_id) {
        this.user_comment_id = user_comment_id;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public int getLike() {
        return like;
    }

    public void setLike(int like) {
        this.like = like;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getReply_content() {
        return reply_content;
    }

    public void setReply_content(String reply_content) {
        this.reply_content = reply_content;
    }



    private ShowAll showAll;
    public ShowAll getContentShowAll() {
        if(showAll == null)
            showAll = new ShowAll(String.format(Locale.CHINA, "%s 评论: %s", nickname, content));
        return showAll;
    }
    private ShowAll replyShowAll;
    public ShowAll getReplyShowAll() {
        if(replyShowAll == null)
            replyShowAll = new ShowAll(String.format(Locale.CHINA, "我在 %s 评论 %s\n%s", app_name, nickname, reply_content));
        return replyShowAll;
    }
}
